Bug 480771 - Review Request: tunneler - Clone of legendary Tunneler game
Review Request: tunneler - Clone of legendary Tunneler game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Šimon Lukašík
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-20 08:17 EST by Lubomir Rintel
Modified: 2009-03-10 18:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-10 18:26:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lukasim: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2009-01-20 08:17:18 EST
SPEC: http://v3.sk/~lkundrak/mock-results/tunneler-1.1.1-1.fc11.i386/tunneler.spec
SRPM: http://v3.sk/~lkundrak/mock-results/tunneler-1.1.1-1.fc11.i386/tunneler-1.1.1-1.fc11.src.rpm
logs: http://v3.sk/~lkundrak/mock-results/tunneler-1.1.1-1.fc11.i386/

Description:

A clone of legendary game made by Geoffrey Silverton in 1991. In the game
two players using the same keyboard and the same screen each control an
underground tank. Goal is to find and destroy the opponent's tank. Since
only small part of the map is displayed on the split screen, you might
actually have some searching to do.
Comment 1 Šimon Lukašík 2009-01-20 12:02:42 EST
Simple and neat package to me. Rpmlint is silent, mock build ok. Package meets all *MUST* items.

APPROVED.
Comment 2 Felix Kaechele 2009-01-20 14:06:23 EST
-1 from my side here.

- Does not yield the guidelines for icon cache as stated here:
  http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#GTK.2B_icon_cache

- desktop-file-install must not use a vendor. See https://fedoraproject.org/wiki/TomCallaway/DesktopFileVendor

Reviews should definitely be made more thorough and conscientious. It would be great if you also checked the SHOULD items.
Comment 3 Lubomir Rintel 2009-01-20 14:25:24 EST
(In reply to comment #2)
> -1 from my side here.
> 
> - Does not yield the guidelines for icon cache as stated here:
>   http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#GTK.2B_icon_cache

As far as I understand, these are just "best practices", not part of guidelines. Guidelines just read "If scriptlets are used, those scriptlets must be sane.". When it comes to my scriptlet, it is functionally equivalent and only difference is harmless error output in case gtk-update-icon-cache.

Given it is an aesthetic annoyance, I'll use the other version when importing the package, but this is definitely not a reason for blocking the review.

Moreover, the first form is already used in packages, and referred to in wiki:
http://fedoraproject.org/wiki/PackagingDrafts/ScriptletSnippets/iconcache

> - desktop-file-install must not use a vendor. See
> https://fedoraproject.org/wiki/TomCallaway/DesktopFileVendor

Wrong again. This is not a guideline. Actually, the guideline says the opposite:
"If upstream uses <vendor_id>, leave it intact, otherwise use fedora as<vendor_id>."

See: https://fedoraproject.org/wiki/Packaging/Guidelines#desktop-file-install_usage

> Reviews should definitely be made more thorough and conscientious. It would be
> great if you also checked the SHOULD items.

I'd be very thankful if you refrained from being harsh to other contributors at least until you study the packaging guidelines. Thanks!

(In reply to comment #1)
> Simple and neat package to me. Rpmlint is silent, mock build ok. Package meets
> all *MUST* items.
> 
> APPROVED.

Diky za review!

New Package CVS Request
=======================
Package Name: tunneler
Short Description: Clone of legendary Tunneler game
Owners: lkundrak
Branches: EL-5 F-10
Comment 4 Kevin Fenzi 2009-01-20 16:04:58 EST
cvs done.
Comment 5 Simon 2009-01-20 16:19:50 EST
no F-9 ???

Lubomir, please add F-9 to active branches for this package...
Comment 6 Lubomir Rintel 2009-01-20 16:27:02 EST
New Package CVS Request
=======================
Package Name: tunneler
Short Description: Clone of legendary Tunneler game

Branches: EL-5 F-10
Owners: lkundrak

Branches: F-9
Owners: cassmodiah
Comment 7 Felix Kaechele 2009-01-21 03:54:29 EST
I didn't meant to sound harsh. If you felt offended by the way I wrote my comment I hereby apologize for that.

For reference here is the Guideline on desktop files:
https://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage
It says:
For new packages, do not apply a vendor tag to desktop files.
Comment 8 Šimon Lukašík 2009-01-21 04:06:42 EST
> https://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage
Imho it has changed during this review. I saw old vendor tag here few hours ago.
Comment 9 Mamoru TASAKA 2009-01-21 04:18:27 EST
Actually this desktop-file-install usage change (i.e. that
for new packages --vendor=fedora is removed) took place in
last October:

http://www.redhat.com/archives/fedora-devel-list/2008-October/msg02273.html
http://fedoraproject.org/wiki/Packaging/Minutes/20081021

It was just wiki package was not updated.
Comment 10 Mamoru TASAKA 2009-01-21 04:20:59 EST
(In reply to comment #9)
> It was just wiki package was not updated.

wiki page was (not updated)
Comment 11 Mamoru TASAKA 2009-01-21 04:40:33 EST
So please remove --vendor=fedora from desktop-file-install.
Comment 12 Lubomir Rintel 2009-03-10 18:26:17 EDT
too late :(

Note You need to log in before you can comment on or make changes to this bug.